Bug 1398593 - RFE: Integrate geo-replication based DR sync for storage domain
Summary: RFE: Integrate geo-replication based DR sync for storage domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.0.4
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2 1415871
TreeView+ depends on / blocked
 
Reported: 2016-11-25 11:19 UTC by Sahina Bose
Modified: 2017-02-15 14:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This feature integrates the setup for data sync to a remote location using geo-replication for Gluster-based storage domains, to improve disaster recovery. A user is able to schedule data sync to a remote location from the Red Hat Virtualization UI.
Clone Of:
Environment:
Last Closed: 2017-02-15 14:49:27 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: exception+
ylavi: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 67295 master MERGED engine: Job for DR sync 2017-01-04 16:55:38 UTC
oVirt gerrit 67296 master MERGED engine: Schedule DR sync command 2017-01-06 05:12:41 UTC
oVirt gerrit 67484 master MERGED webadmin: sub-tab for storage DR setup 2017-01-11 10:22:20 UTC
oVirt gerrit 68613 master MERGED webadmin: Edit Storage DR 2017-01-11 10:22:35 UTC
oVirt gerrit 68936 master MERGED engine: geo-rep sessions for storage domain 2017-01-06 14:00:29 UTC
oVirt gerrit 69035 master MERGED engine: Fix geo-rep session status 2016-12-26 09:41:27 UTC
oVirt gerrit 69179 ovirt-engine-4.1 MERGED engine: Fix geo-rep session status 2017-01-05 16:09:12 UTC
oVirt gerrit 69760 ovirt-engine-4.1 MERGED engine: Job for DR sync 2017-01-11 13:12:59 UTC
oVirt gerrit 69761 ovirt-engine-4.1 MERGED engine: Schedule DR sync command 2017-01-11 13:12:55 UTC
oVirt gerrit 69762 ovirt-engine-4.1 MERGED engine: geo-rep sessions for storage domain 2017-01-11 13:13:04 UTC
oVirt gerrit 69942 master MERGED engine: Queries to get storagedomain dr and georepsession 2017-01-11 09:37:15 UTC
oVirt gerrit 69985 ovirt-engine-4.1 MERGED engine: Queries to get storagedomain dr and georepsession 2017-01-11 13:13:10 UTC
oVirt gerrit 69986 ovirt-engine-4.1 MERGED webadmin: sub-tab for storage DR setup 2017-01-11 13:13:18 UTC
oVirt gerrit 69987 ovirt-engine-4.1 MERGED webadmin: Edit Storage DR 2017-01-11 13:13:27 UTC

Description Sahina Bose 2016-11-25 11:19:14 UTC
Description of problem:

Integrate the flow as per http://www.ovirt.org/develop/release-management/features/gluster/gluster-dr/ for gluster based storage domains in engine

Version-Release number of selected component (if applicable):


How reproducible:
NA

Comment 1 Eyal Edri 2017-01-23 08:28:49 UTC
Agreed with the Gluster team we can move Gluster bugs to ON_QA on engine build.

Comment 2 SATHEESARAN 2017-02-09 03:29:08 UTC
Tested with oVirt-4.1.0-3

There exists the 'Remote Data Sync Setup' tab for the gluster data domain and, if that gluster data domain is created with the gluster volume that is managed in the same cluster, then geo-rep have to setup explicitly on that volume and schedule could be created from 'Remote Data Sync Setup' UI


Note You need to log in before you can comment on or make changes to this bug.